///////////////////////////////////////////////////
//// signed mult of 1.15 format 2'comp ////////////
///////////////////////////////////////////////////
module signed_mult (out, a, b);

	output 		[15:0]	out;
	input 	signed	[15:0] 	a;
	input 	signed	[15:0] 	b;
	
	wire	signed	[15:0]	out;
	wire 	signed	[31:0]	mult_out;

	assign mult_out = a * b;
	assign out = mult_out[30:15]; 
endmodule
//////////////////////////////////////////////////